;odin2.i
;includefile for odin.library.
;using semaphore instead of spacemanager
;Last updated 27-aug-90
;Version = 2.3

	IFND	ODIN_I
ODIN_I	EQU	1

odinNAME	MACRO
	DC.B	'odin.library',0
	CNOP	0,2
	ENDM

	STRUCTURE odin,LIB_SIZE
	APTR	odin_SegList
	UBYTE	odin_Flags
	UBYTE	odin_pad
	;------------------------------------------------
	;- You must ObtainSemaphore() this before using
	;- WaitList!
	;------------------------------------------------
	STRUCT	odin_Sem,SS_SIZE		;signal semaphore
	STRUCT	odin_WaitList,MLH_SIZE
	LABEL	odin_Sizeof

;--- prefix for envelopes

	STRUCTURE	Envelope,MLN_SIZE	;first a link for use in e-space
	APTR	e_name		;ptr to ASCIIZ string
	ULONG	e_len		;bytelength of contents
	APTR	e_copyfunc	;opt. C-function for copying
	APTR	e_proc		;C-function to call in Eval
	LABEL	e_sizeof

;--- wait-structure used in WaitList

	STRUCTURE	WaitStruct,MLN_SIZE
	APTR	ow_envelope
	APTR	ow_waittask
	UBYTE	ow_sigbit
	BYTE	ow_type
	LABEL	ow_sizeof

ow_replyport	EQU	ow_waittask

;--- ow_types

RD_REQUEST	EQU	0
IN_REQUEST	EQU	1
ASYNCIN_REQUEST	EQU	2
ASYNCRD_REQUEST	EQU	3

;--- the et parameter to Eval()

EVAL_PROCESS	EQU	0
EVAL_TASK		EQU	1

;--- the struct put to a MsgPort by AsyncIn/AsyncRd

	STRUCTURE	EnvMsg,MN_SIZE
	APTR	em_env;
	LABEL	em_sizeof

	ENDC	!ODIN_I
