/* Simple test for rexxutil.library 33.23 (BETA)
 *
 * rexxutil.library is an ARexx function host that adds clipboard access,
 * environment variables, and other misc. utility to the ARexx language.
 *
 * Written by David N. Junod
 */

/* Load the ARexx utility library */
IF ~SHOW('L','rexxutil.library') THEN
   CALL ADDLIB('rexxutil.library',0,-30)

   /* Manipulate environment variables.  Under AmigaOS 2.0, these commands
    * also support the GLOBAL or LOCAL switches */

   SAY "Get 'username'"
   User = GetVar('username')
   IF User > ""
   THEN DO
	SAY "UserName = ["user"]"
	END
   ELSE DO
	SAY "Can't get username"
	SAY "Set 'username' to davidj"
	CALL SetVar('username','davidj')
	END

   SAY "Get 'username' again"
   user = GetVar('username')
   SAY 'UserName = ['user']'

   SAY "TmpFile = " TmpFile("T:Testing")

EXIT
